### Class

# GdkPixbuf PixbufAnimationIter

#### Description [src]

    class GdkPixbuf.PixbufAnimationIter : GObject.Object {
      parent_instance: GObject
    }

An opaque object representing an iterator which points to a certain position in an animation.

#### Ancestors

- GObject

#### Descendants

- GdkPixbufSimpleAnimIter

#### Instance methods

###### gdk_pixbuf_animation_iter_advance

Possibly advances an animation to a new frame.

###### gdk_pixbuf_animation_iter_get_delay_time

Gets the number of milliseconds the current pixbuf should be displayed, or -1 if the current pixbuf should be displayed forever.

###### gdk_pixbuf_animation_iter_get_pixbuf

Gets the current pixbuf which should be displayed.

###### gdk_pixbuf_animation_iter_on_currently_loading_frame

Used to determine how to respond to the area_updated signal on `GdkPixbufLoader` when loading an animation.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkPixbufPixbufAnimationIterClass {
      GObjectClass parent_class;
      int (* get_delay_time) (
        GdkPixbufAnimationIter* iter
      );
      GdkPixbuf* (* get_pixbuf) (
        GdkPixbufAnimationIter* iter
      );
      gboolean (* on_currently_loading_frame) (
        GdkPixbufAnimationIter* iter
      );
      gboolean (* advance) (
        GdkPixbufAnimationIter* iter,
        const GTimeVal* current_time
      );

    }

###### Class members

`parent_class` |
    GObjectClass
| The parent class.
`get_delay_time` |
    int (* get_delay_time) (
        GdkPixbufAnimationIter* iter
      )
| No description available.
`get_pixbuf` |
    GdkPixbuf* (* get_pixbuf) (
        GdkPixbufAnimationIter* iter
      )
| No description available.
`on_currently_loading_frame` |
    gboolean (* on_currently_loading_frame) (
        GdkPixbufAnimationIter* iter
      )
| No description available.
`advance` |
    gboolean (* advance) (
        GdkPixbufAnimationIter* iter,
        const GTimeVal* current_time
      )
| No description available.

#### Virtual methods

###### GdkPixbuf.PixbufAnimationIterClass.advance

Possibly advances an animation to a new frame.

###### GdkPixbuf.PixbufAnimationIterClass.get_delay_time

Gets the number of milliseconds the current pixbuf should be displayed, or -1 if the current pixbuf should be displayed forever.

###### GdkPixbuf.PixbufAnimationIterClass.get_pixbuf

Gets the current pixbuf which should be displayed.

###### GdkPixbuf.PixbufAnimationIterClass.on_currently_loading_frame

Used to determine how to respond to the area_updated signal on `GdkPixbufLoader` when loading an animation.